/// #pkgName FGUI包名
/// #prefabName ui预制名字
/// #viewName uiview名字
/// #UIName ui的名字，prefabName首字母转大写
/// 该脚本由模板创建，不可修改
/// created by chenwb 2024

import { FguiViewModel } from "../../../../frameWork/fgui/mvc/FguiViewModel";

export class InputViewVM extends FguiViewModel {

    readonly Isday: fgui.Controller;
    readonly ThirdView: fgui.GComponent;
    readonly LineImg: fgui.GImage;
    readonly ConfirmBtn: fgui.GButton;
    readonly Input: fgui.GTextInput;

    constructor(panel: fgui.GComponent) {
        super(panel);
        this.Isday = panel.getController("isday");
        this.ThirdView = panel.getChild("ThirdView") as fgui.GComponent;
        this.LineImg = panel.getChild("LineImg") as fgui.GImage;
        this.ConfirmBtn = panel.getChild("ConfirmBtn") as fgui.GButton;
        this.Input = panel.getChild("Input") as fgui.GTextInput;

    }
}